using APT.Infrastructure.Core;

namespace APT.BaseData.Domain.Enums
{
    /// <summary>
    /// 控件类型
    /// </summary>
    public enum PFControlTypeEnum
    {
        文本输入 = 1,

        日期选择 = 2,

        下拉选择 = 3,

        /// <summary>radio</summary>
        单项选框 = 4,
        /// <summary>check</summary>
        多项选框 = 5,

        长文本域 = 6,

        数值类型 = 7,

        时间类型 = 8,

        分页下拉 = 9,

        日期区间类型 = 10,
        下拉树选择控件 = 11,
        下拉多选控件 = 12,
        扫描控件 = 13,
        系统序列号控件 = 14,
        年月日时分秒控件 = 15,
        密码控件 = 16,
        级联组件 = 17,
        月份选择 = 18,
        月份区间 = 19,
        年份选择 = 20,
        年份区间 = 21,
        年月日时分秒区间 = 22,
        年月日时分区间 = 23,
        分页下拉多选 = 24,
        附件上传 = 25,
        文本 = 100,
        布尔文本 = 101,
        日期文本 = 102,
        时间文本 = 103,
        数值文本_2位小数 = 104,
        数值文本_3位小数 = 105,
        文本_最大10字符 = 106,
        百分比 = 107,
        时间自定义格式 = 108,//wyw 2023-09-13 每年 什么时间 做啥事  参考【年月日时分秒控件 15 只修改了 ComponentBase index】

    }
    /// <summary>
    /// 列表列控件类型
    /// </summary>
    public enum PFColumnControlTypeEnum
    {
        [EnumSortIndex(0)]
        文本 = 0,
        [EnumSortIndex(1)]
        布尔文本 = 101,
        [EnumSortIndex(2)]
        日期文本 = 102,
        [EnumSortIndex(3)]
        时间文本 = 103,
        [EnumSortIndex(4)]
        数值文本_2位小数 = 104,
        [EnumSortIndex(5)]
        数值文本_3位小数 = 105,
        [EnumSortIndex(6)]
        文本_最大10字符 = 106,
        [EnumSortIndex(7)]
        百分比 = 107,

        [EnumSortIndex(101)]
        文本控件 = 1,
        [EnumSortIndex(102)]
        日期控件 = 2,
        [EnumSortIndex(103)]
        下拉选择控件 = 3,

        /// <summary>radio</summary>
        [EnumSortIndex(104)]
        单项选框控件 = 4,
        /// <summary>check</summary>
        [EnumSortIndex(105)]
        多项选框控件 = 5,
        [EnumSortIndex(106)]
        长文本域控件 = 6,
        [EnumSortIndex(107)]
        数值控件 = 7,
        [EnumSortIndex(108)]
        时间控件 = 8,
        [EnumSortIndex(109)]
        分页下拉控件 = 9,
        [EnumSortIndex(110)]
        日期区间控件 = 10,
        [EnumSortIndex(111)]
        下拉树选择控件 = 11,
        [EnumSortIndex(112)]
        下拉多选控件 = 12,
        [EnumSortIndex(113)]
        扫描控件 = 13,
        [EnumSortIndex(114)]
        年月日时分秒控件 = 15,
        [EnumSortIndex(115)]
        密码控件 = 16,
        [EnumSortIndex(116)]
        时间自定义格式 = 108,//同步信息  PFControlTypeEnum
    }
}
